# List Stake Actions

`GET /staking/stakes/:stakeId/actions`

Retrieves a list of exchanges.

{% hint style="info" %}

* Request headers required. See [Request Headers](/d/advanced-topics/authentication/request-headers.md) for more information.
* Authentication required. See [Authentication Headers](/d/advanced-topics/authentication/request-headers.md#authentication-headers) for more information.
  {% endhint %}

## Required Permissions

| Name          | Conditions      |
| ------------- | --------------- |
| `Stakes:Read` | Always Required |

## Parameters <a href="#parameters.1" id="parameters.1"></a>

### Path parameters <a href="#path-parameters" id="path-parameters"></a>

| Path parameter                              | Description                                   |
| ------------------------------------------- | --------------------------------------------- |
| `stakeId`<mark style="color:red;">\*</mark> | The stake Id for which we want to get rewards |

## Response <a href="#native-currency-request-body" id="native-currency-request-body"></a>

### Query parameters <a href="#path-parameters" id="path-parameters"></a>

<table><thead><tr><th>Query string parameter</th><th width="196">Required/Optional</th><th>Description</th><th>Type</th></tr></thead><tbody><tr><td><code>limit</code></td><td>Optional</td><td>Maximum number of items to return. Default to 50.</td><td>Number</td></tr><tr><td><code>paginationToken</code></td><td>Optional</td><td>Opaque token used to retrieve the next page. Returned as <code>nextPageToken</code> from the previous request.</td><td>String</td></tr></tbody></table>

## Response <a href="#response" id="response"></a>

### 200 Response example <a href="#response-example" id="response-example"></a>

```json
{
  "items": [
    {
      "id": "stka-6q2kv-838tf-8nbofcddhf3a13hu",
      "stakeId": "stk-5mgj6-kkogb-8fhplpfsnjik3u3m",
      "transactionId": "tx-3434j-tl8ou-94obe8il3bi1krcv",
      "kind": "Stake",
      "requester": {
        "userId": "us-gob8o-mm189-4hbgrpl4fjgcoqh",
        "tokenId": "to-2hebo-3ga68-9h09mhc1lborpnot",
      },
      "requestBody": {
        "walletId": "wa-2l3v7-kiba0-8gs9cj4m8eteph0u",
        "protocol": "Iota",
        "validator": "0x392316417a23198afeeb80d9fec314c65162ab5ad18f8a4c3375d31deab29670",
        "objectIds": [
          "0xd33ab1cfc6ace10d9b79461b299cfd1f658a56e7b94ad18976a4860c6bc60ac1"
        ]
      },
      "dateCreated": "2025-03-20T17:52:55.116Z"
    }
  ],
  "nextPageToken": "eJyrVspMUbJSKi7J1jUtNDI20M3LMUky0LVIK7VMSkktS81LLTE2TMpUqgUABv8NBA"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-legacy.dfns.co/d/integrations/staking/api-reference/list-stake-actions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
